Subject: Re: [kernel.org users] [RFD] On deprecating "git-foo" for builtins

From: Petr Baudis <[email-masked]>
Date: Thu, 28 Aug 2008 23:53:35 +0200

It's getting repetitive. :-(

On Thu, Aug 28, 2008 at 02:41:52PM -0700, Perry Wagle wrote:
> I now have to TEST to find those crazy backwards-incompatibility bugs 
> before I can upgrade us to 1.6.0.  To test, I have to try to imagine what I 
> and others were assuming about git.  And this episode means that I can't 
> make any assumptions about the sanity of any changes since March, which is 
> the version I'm thinking of upgrading.

All changes of this kind, including this one, should be carefully
described in the release notes. Since you say you are effectively a Git
packager, you really should be one of the persons who do actually read
them. :-)

You can't ask us to stop making any incompatible changes - Git is still
too young for that and it's UI got evolved, not designed. But we do
document the changes we do, even though we might do a better job
*spreading* the word.

				Petr "Pasky" Baudis